%define ttfdir %_datadir/fonts/default/TrueType-devanagari

Name: devanagari-fonts-ttf
Version: 0.99
Release: alt5

Summary: Free Devanagari TrueType font
Summary (ru_RU.UTF-8): Деванагари TrueType шрифт
License: GPL
Group: System/Fonts/True type
Url: http://savannah.nongnu.org/download/smc/free-mal-fonts.pkg/1.0
Source: raghu.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath fontconfig

%description
This Package provides a free TrueType font suitable
for displaying Hindi, Marathi and non-vedic Sanscrit.

%description -l ru_RU.UTF-8
В этом пакете находятся TrueType шрифт пригодный
для отображения текстов на хинди, маратхи и санскрите.

%prep
%setup -q -n raghu

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
install -p -m644 fonts.dir $RPM_BUILD_ROOT%ttfdir/fonts.dir
cd $RPM_BUILD_ROOT%ttfdir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%triggerpostun -- %name < 0.99-alt3
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%ttfdir
%doc *txt

%changelog
* Mon Jul 11 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.99-alt5
- link to encodings.dir removed, no longer requires freetype

* Thu Dec 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.99-alt4
- link to encodings.dir fixed

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.99-alt3
- %postun script fix

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.99-alt2
- Changed dir
- Cleanups

* Fri Nov 29 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.99-alt1
- ALTLinux build
